


.collapse-body.list-categories {
  list-style: none;
  padding: 0;
  margin: 0;
  max-height: 300px;
  /* Example height, adjust as needed */
  overflow-y: auto;
}

.current-scrollbar::-webkit-scrollbar {
  width: 8px;
}

.current-scrollbar::-webkit-scrollbar-track {
  background: #f1f1f1;
  border-radius: 10px;
}

.current-scrollbar::-webkit-scrollbar-thumb {
  background: #888;
  border-radius: 10px;
}

.current-scrollbar::-webkit-scrollbar-thumb:hover {
  background: #555;
}

.cate-item {
  margin-bottom: 5px;
}

.cate-item.open>.link .toggle-icon {
  transform: rotate(180deg);
}

.cate-item.open>.subcategory-list {
  max-height: 500px;
  /* Max height for expanded state, adjust as needed */
  transition: max-height 0.3s ease-in;
}

.cate-item .link {
  display: flex;
  align-items: center;
  padding: 0 10px;
  color: #333;
  text-decoration: none;
  transition: background-color 0.2s ease;
  border-radius: 4px;
}

.cate-item .link span {
  padding: 8px 0;
}

.cate-item .link:hover {
  background-color: #f0f0f0;
}

.cate-item .link.active {
  background-color: var(--primary);
  /* Using the defined $color variable */
  color: #fff;
}

.cate-item .link.active .toggle-icon {
  color: #fff;
}

.cate-item .link span {
  flex-grow: 1;
  cursor: pointer;
  /* Indicate that the span is clickable for toggling */
}

.toggle-span {
  display: inline-block;
  padding-inline-start: 10px;
  height: 100%;

}

.toggle-icon {
  margin-left: auto;
  transition: transform 0.2s ease;
  font-size: 0.8em;
  color: #666;
}

.category-toggle.open>.link .toggle-icon {
  transform: rotate(180deg);
}

.subcategory-list {
  list-style: none;
  padding-left: 20px;
  margin-top: 5px;
  margin-bottom: 0;
  overflow: hidden;
  /* Ensure smooth collapse/expand */
  max-height: 0;
  /* Hidden by default */
  transition: max-height 0.3s ease-out;
}

.category-toggle.open>.subcategory-list {
  max-height: 500px;
  /* Max height for expanded state, adjust as needed */
  transition: max-height 0.3s ease-in;
}